Bug 426460 - Review Request: jabbim - Jabber client for mere mortals
Review Request: jabbim - Jabber client for mere mortals
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matěj Cepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-21 03:50 EST by Michal Schmidt
Modified: 2008-01-09 01:46 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-23 15:07:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mcepl: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michal Schmidt 2007-12-21 03:50:37 EST
Spec URL: http://michich.fedorapeople.org/specs/jabbim.spec
SRPM URL: http://michich.fedorapeople.org/fedora/8/jabbim-0.3-0.51.20071221svn.fc8.src.rpm

Description:
Jabbim is a user-friendly Jabber (XMPP) client. Its goal is to make the modern
and useful Jabber services approachable to common users. It integrates well
with the advanced functionality provided by the Jabber server of the same name
(see http://www.jabbim.com). Jabbim is written in Python and Qt4.
Jabbim is still in an early stage of development.
Comment 1 Matěj Cepl 2007-12-21 07:51:19 EST
Builds in koji
http://koji.fedoraproject.org/koji/taskinfo?taskID=304788
Comment 2 Matěj Cepl 2007-12-21 19:16:09 EST
MUST Items:
1. rpmlint must be run on every package.
OK

2. The package must be named according to the Package Naming Guidelines
OK

3. The spec file name must match the base package %{name}, in the format
%{name}.spec
OK

4. The spec file must be written in American English.
OK

5. The spec file for the package MUST be legible.
OK

6. Each package must consistently use macros, as described in the macros section
of Packaging Guidelines
OK

7. Each package must have a %clean section, which contains rm -rf %{buildroot}
OK

8. The package must meet the Packaging Guidelines
OK

9. The package must be licensed with an open-source compatible license and meet
other legal requirements as defined in the Packaging Guidelines
OK

10. The License field in the package spec file must match the actual license.
OK

11. If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.
OK

12. The package must contain code, or permissable content. This is described in
detail in the code vs. content section of Packaging Guidelines.
OK

13. The sources used to build the package must match the upstream source, as
provided in the spec URL. Reviewers should use md5sum for this task.
No, but diff -uNr doesn't find anything. Probably given by generating tarball
out of SVN. OK

14. The package must successfully compile and build into binary rpms on at least
one supported architecture.
OK

15. All build dependencies must be listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines; inclusion of those
as BuildRequires is optional. Apply common sense.
OK

16. If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in ExcludeArch.
OK

17. The spec file MUST handle locales properly. This is done by using the
%find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
OK

18. Every binary RPM package which stores shared library files (not just
symlinks) in any of the dynamic linker's default paths, must call ldconfig in
%post and %postun.
OK

19. Non-relocatable?
OK

20. A package must own all directories that it creates.
NO!!! If I am not mistaken it acutally doesn't own %{jabbimdata} itself.
Moreover, it might be more fruitful just to put into %files

%{jabbimdata}/

and leave it at that.

21. A package must not contain any duplicate files in the %files listing.
OK

22. Permissions on files must be set properly.
OK

23. Large documentation files should go in a -doc subpackage.
OK

24. If a package includes something as %doc, it must not affect the runtime of
the application. To summarize: If it is in %doc, the program must run properly
if it is not present.
OK

25. Header files must be in a -devel package.
#N/A

26. Static libraries must be in a -static package.
#N/A

27. Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for 
directory ownership and usability).
#N/A

28. If a package contains library files with a suffix (e.g. libfoo.so.1.1), then
library files that end in .so (without suffix) must go in a -devel package.
#N/A

29. In the vast majority of cases, devel packages must require the base package
using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
#N/A

30. Packages must NOT contain any .la libtool archives, these should be removed
in the spec.
OK

31. Packages containing GUI applications must include a %{name}.desktop file,
and that file must be properly installed with desktop-file-install in the
%install section.
OK (no-GUI application, but library)

32. Packages must not own files or directories already owned by other packages.
OK

SHOULD Items:

1. If the source package does not include license text(s) as a separate file
from upstream, the packager SHOULD query upstream to include it.
OK (we have license)

2. The description and summary sections in the package spec file should contain
translations for supported Non-English languages, if available.
OK (we have none)

3. The reviewer should test that the package builds in mock.
OK (built in koji)

4. The package should compile and build into binary rpms on all supported
architectures.
OK (built in koji and it is noarch)

5. The reviewer should test that the package functions as described. A package
should not segfault instead of running, for example.
OK

6. If scriptlets are used, those scriptlets must be sane. This is vague, and
left up to the reviewers judgement to determine sanity.
OK (no scriptlets)

7. Usually, subpackages other than devel should require the base package using a
fully versioned dependency.
OK (there are no other subpackages)

8. The placement of pkgconfig(.pc) files depends on their usecase, and this is
usually for development purposes, so should be placed in a -devel pkg. A
reasonable exception is that the main pkg itself is a devel tool not installed
in a user runtime, e.g. gcc or gdb.
OK (no pkgconfig)

9. If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin,
or /usr/sbin consider requiring the package which provides the file instead of
the file itself. Please see File Dependencies in the Guidelines for further
information.
OK (no other dependencies)

NOT APPROVED.

Please, fix item 20.
Comment 3 Michal Schmidt 2007-12-22 17:46:09 EST
Thanks for looking into this. I've fixed the item 20. The new version is at:
http://disk.jabbim.cz/michich%40jabber.cz/jabbim.spec
http://disk.jabbim.cz/michich%40jabber.cz/jabbim-0.3-0.52.20071221svn.fc8.src.rpm
Comment 4 Matěj Cepl 2007-12-22 17:53:27 EST
Looks good.

APPROVED
Comment 5 Michal Schmidt 2007-12-22 18:36:44 EST
New Package CVS Request
=======================
Package Name: jabbim
Short Description: Jabber client for mere mortals
Owners: michich
Branches: F-8
InitialCC: 
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2007-12-23 13:21:54 EST
Since you are installing an icon, perhaps you need to follow: 
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#head-7103f6c38d1b5735e8477bdd569ad73ea2c49bda

Also, why the call to 'hardlink' ? 

You might want to address those before importing... cvs done.
Comment 7 Michal Schmidt 2007-12-23 14:09:31 EST
I admit I never heard about the GTK icon cache before.
The 'hardlink' was there because I was under a mistaken impression it was needed
to recognize identical *.pyo and *.pyc files and save some space.

I've fixed both issues and will now import the package.

Thank you.
Comment 8 Michal Schmidt 2008-01-03 08:19:48 EST
Package Change Request
======================
Package Name: jabbim
New Branches: F-7

I have installed Fedora 7 in Xen and verified Jabbim works there too. I'd like 
to make Jabbim available in F-7 when version 0.3 is released in a few days.
Comment 9 Kevin Fenzi 2008-01-03 23:20:27 EST
cvs done.
Comment 10 Michal Schmidt 2008-01-05 05:57:28 EST
Kevin,

There must have been a mistake. I requested an F-7 branch, but an EL-5 branch 
was created.
Comment 11 Kevin Fenzi 2008-01-05 13:12:37 EST
Oops. ;( Not sure how I got that confused there... 

Sorry about that. Would you like me to leave the EL-5 branch?
Or would you prefer it be removed?
Comment 12 Michal Schmidt 2008-01-05 15:42:28 EST
Kevin,
Jabbim won't work in RHEL5. It does not have the required dependencies. Please 
remove the EL-5 branch.
Thanks.
Comment 13 Toshio Ernie Kuratomi 2008-01-09 01:46:59 EST
Done.  The branch has been removed from cvs and marked removed in the pkgdb.  It
will still shows up on the jabbim page (with status Removed) until I fix the
pkgdb to not display removed branches.

Note You need to log in before you can comment on or make changes to this bug.